//
//  Right.m
//  UISplitControllerWithTwoUINavControllers
//
//  Created by Jon on 3/9/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Right.h"
#import "Left.h"


@implementation Right

@synthesize leftTF,rightTF, myBtn, myBtnToLoadVC, clearBtn;
@synthesize twoViewDataModel;
@synthesize otherView;

- (IBAction)myBtnPushed:(id)sender{
    [self.twoViewDataModel setRightString:@"rightVC Populated this"];
    [self somethingChanged];
    [self.otherView somethingChanged];
}

- (IBAction)myBtnToLoadVCPushed:(id)sender{
    
    Left *RequestViewController = [[Left alloc] initWithNibName:@"Left" bundle:[NSBundle mainBundle]];
    RequestViewController.otherView=self;
    RequestViewController.twoViewDataModel = self.twoViewDataModel;
    RequestViewController.modalController = self;
    RequestViewController.modalPresentationStyle = UIModalPresentationFormSheet;
    [RequestViewController setModalTransitionStyle:UIModalTransitionStyleFlipHorizontal];
    [self presentModalViewController:RequestViewController animated:YES];
    [RequestViewController release];
    RequestViewController = nil;
    
}

- (IBAction)clearBtnPushed:(id)sender{
    [self.twoViewDataModel setRightString:@""];
    [self.twoViewDataModel setLeftString:@""];
    [self.otherView somethingChanged];
    [self somethingChanged];
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.navigationItem.hidesBackButton = YES;
    // Do any additional setup after loading the view from its nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
	return YES;
}

-(void)somethingChanged
{
    // Check the data model and see if anything changed from what is being presented - if so, update 
    // those view elements
    if (self.leftTF.text != [self.twoViewDataModel leftViewTextValue]) {
        self.leftTF.text = [self.twoViewDataModel leftViewTextValue];
        [self.leftTF setNeedsDisplay];
    }
    if (self.rightTF.text != [self.twoViewDataModel rightViewTextValue]) {
        self.rightTF.text = [self.twoViewDataModel rightViewTextValue];
        [self.rightTF setNeedsDisplay];
    }
}

-(void)modalViewClosed
{
    [self somethingChanged];
    [self.otherView somethingChanged];
}

@end
