//
//  RootViewController.h
//  UISplitControllerWithTwoUINavControllers
//
//  Created by Jon on 3/9/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "TwoUIViewDataModel.h"

@class DetailViewController;

#import <CoreData/CoreData.h>

@interface RootViewController : UITableViewController <NSFetchedResultsControllerDelegate, TwoUIViewDataModelProtocol> {
    UIToolbar *toolBar;
    UIButton *myBtn;

}


@property (nonatomic, retain) IBOutlet DetailViewController *detailViewController;
@property (nonatomic, retain) IBOutlet UIToolbar *toolBar;

@property (nonatomic, retain) NSFetchedResultsController *fetchedResultsController;
@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;

@property (assign) TwoUIViewDataModel *dataModel;

- (void)insertNewObject:(id)sender;

- (IBAction)myBtnPushed;

@end
