//
//  Left.h
//  UISplitControllerWithTwoUINavControllers
//
//  Created by Jon on 3/9/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "TwoUIViewDataModel.h"

@protocol LeftModalViewControllerDelegate
-(void)modalViewClosed;
@end

@interface Left : UIViewController <TwoUIViewControllerDelegate> {
    UITextField *leftTF;  
    UIButton *myBtn;
    UIButton *closeBtn;
    UIButton *clearBtn;
}
@property (nonatomic, retain)IBOutlet UITextField *leftTF;
@property (nonatomic, retain)IBOutlet UIButton *myBtn;
@property (nonatomic, retain)IBOutlet UIButton *closeBtn;
@property (nonatomic, retain)IBOutlet UIButton *clearBtn;

@property (nonatomic, assign) id <TwoUIViewDataModelProtocol> twoViewDataModel;
@property (nonatomic, assign) id <TwoUIViewControllerDelegate> otherView;
@property (nonatomic, assign) id <LeftModalViewControllerDelegate> modalController;

- (IBAction)myBtnPushed:(id)sender;
- (IBAction)closeBtnPushed:(id)sender;
- (IBAction)clearBtnPushed:(id)sender;

@end
