//
//  Left.m
//  UISplitControllerWithTwoUINavControllers
//
//  Created by Jon on 3/9/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Left.h"


@implementation Left

@synthesize leftTF, myBtn, closeBtn, clearBtn;
@synthesize twoViewDataModel;
@synthesize otherView;
@synthesize modalController;

- (IBAction)myBtnPushed:(id)sender{
    [self.twoViewDataModel setLeftString:@"leftVC Populated this"];
    [self.otherView somethingChanged];
    [self somethingChanged];
}

- (IBAction)clearBtnPushed:(id)sender{
    [self.twoViewDataModel setLeftString:nil];
    [self.otherView somethingChanged];
    [self somethingChanged];
}

- (IBAction)closeBtnPushed:(id)sender{
    [self.modalController modalViewClosed];
    [self dismissModalViewControllerAnimated:YES];
    [self.navigationController popViewControllerAnimated:YES];
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
	return YES;
}

-(void)somethingChanged
{
    // Check the data model and see if anything changed from what is being presented - if so, update 
    // those view elements
    if (self.leftTF.text != [self.twoViewDataModel leftViewTextValue]) {
        self.leftTF.text = [self.twoViewDataModel leftViewTextValue];
        [self.leftTF setNeedsDisplay];
    }
}

@end
