//
//  Right.h
//  UISplitControllerWithTwoUINavControllers
//
//  Created by Jon on 3/9/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Left.h"
#import "TwoUIViewDataModel.h"

@interface Right : UIViewController <TwoUIViewControllerDelegate,LeftModalViewControllerDelegate> {
    UITextField *leftTF;
    UITextField *rightTF;    
    UIButton *myBtn;
    UIButton *myBtnToLoadVC;
    UIButton *clearBtn;
}
@property (nonatomic, retain)IBOutlet UITextField *leftTF;
@property (nonatomic, retain)IBOutlet UITextField *rightTF;
@property (nonatomic, retain)IBOutlet UIButton *myBtn;
@property (nonatomic, retain)IBOutlet UIButton *myBtnToLoadVC;
@property (nonatomic, retain)IBOutlet UIButton *clearBtn;

@property (nonatomic, assign) id <TwoUIViewDataModelProtocol> twoViewDataModel;
@property (nonatomic, assign) id <TwoUIViewControllerDelegate> otherView;

- (IBAction)myBtnPushed:(id)sender;
- (IBAction)myBtnToLoadVCPushed:(id)sender;
- (IBAction)clearBtnPushed:(id)sender;

@end
