//
//  TwoUIViewDataModel.h
//  UISplitControllerWithTwoUINavControllers
//
//  Created by Ron Crocker on 3/11/11.
//  Copyright 2011 Motorola. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol TwoUIViewControllerDelegate <NSObject>
@required
-(void)somethingChanged;
@end

@protocol TwoUIViewDataModelProtocol
@required
-(NSString *)leftViewTextValue;
-(NSString *)rightViewTextValue;
-(void)setLeftString:(NSString *)string;
-(void)setRightString:(NSString *)string;
@end

@interface TwoUIViewDataModel : NSObject {
}

@property (retain) NSString *leftViewString;
@property (retain) NSString *rightViewString;

@end
